module app.core.controllers {

    export interface ICoreScope extends ng.IScope {
        showError?: (ngModelController: ng.INgModelController, error: string) => any;
    }

    export class CoreController {
        showError(ngModelController: ng.INgModelController, error: string) {
            if (ngModelController.$dirty) {
                return ngModelController.$error[error];
            }
            return false;
        }


        constructor($scope: ICoreScope) {
            $scope.showError = this.showError;
        }

    }


}